<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/html">


<head>
    <meta charset="UTF-8"/>
    <title>Features</title>
<link rel="shortcut icon" type="image/x-icon" href="favicon.ico">
<link rel="apple-touch-icon" sizes="57x57" href="apple-icon-57x57.png">
<link rel="apple-touch-icon" sizes="60x60" href="apple-icon-60x60.png">
<link rel="apple-touch-icon" sizes="72x72" href="apple-icon-72x72.png">
<link rel="apple-touch-icon" sizes="76x76" href="apple-icon-76x76.png">
<link rel="apple-touch-icon" sizes="114x114" href="apple-icon-114x114.png">
<link rel="apple-touch-icon" sizes="120x120" href="apple-icon-120x120.png">
<link rel="apple-touch-icon" sizes="144x144" href="apple-icon-144x144.png">
<link rel="apple-touch-icon" sizes="152x152" href="apple-icon-152x152.png">
<link rel="apple-touch-icon" sizes="180x180" href="apple-icon-180x180.png">
<link rel="icon" type="image/png" sizes="192x192"  href="android-icon-192x192.png">
<link rel="icon" type="image/png" sizes="32x32" href="favicon-32x32.png">
<link rel="icon" type="image/png" sizes="96x96" href="favicon-96x96.png">
<link rel="icon" type="image/png" sizes="16x16" href="favicon-16x16.png">
<meta name="msapplication-TileColor" content="#ffffff">
<meta name="msapplication-TileImage" content="/ms-icon-144x144.png">
<meta name="theme-color" content="#ffffff">
<!--[if IE 7]>
<!--<link rel="stylesheet" href="font-awesome/css/font-awesome-ie7.min.css">-->

<link rel="stylesheet" type="text/css" href="fontawesome-free-5.7.2-web/css/all.min.css">
<link rel="stylesheet" type="text/css" href="fontawesome-free-5.7.2-web/css/v4-shims.min.css">

<!-- JQuery -->
<script type="text/javascript" src="scripts/jquery-1.11.1.min.js"></script><link rel="stylesheet" type="text/css" href="chartist/chartist-plugin-tooltip/dist/chartist-plugin-tooltip.min.css">
<link rel="stylesheet" type="text/css" href="chartist/dist/chartist.min.css">
<script src="chartist/dist/chartist.min.js"></script>
<script src="chartist/chartist-plugin-tooltip/dist/chartist-plugin-tooltip.min.js"></script>
<!-- Required Stylesheets -->
<link href="bootstrap-treeview/dist/bootstrap-treeview.min.css" rel="stylesheet">

<!-- Required Javascript -->
<script src="bootstrap-treeview/dist/bootstrap-treeview.min.js"></script><!-- DataTables -->
<link type="text/css" href="datatables/1.10.20/datatables.min.css" rel="stylesheet" />
<script type="text/javascript" src="datatables/1.10.20/datatables.min.js"></script>
<script type="text/javascript" src="datatables/1.10.20/time-elapsed-dhms.js"></script>

<link href="bootstrap/css/bootstrap.min.css" rel="stylesheet">
<script src="bootstrap/js/bootstrap.min.js"></script>

<script type="text/javascript" src="datatables/1.10.20/datatables.bootstrap4.min.js"></script>
<link type="text/css" href="datatables/1.10.20/datatables.bootstrap4.min.css" rel="stylesheet" />

<script>
    jQuery.fn.dataTable.ext.type.order['time-elapsed-dhms-pre'] = function(data) {

        var matches = data.match(/^(\d+(?:\.\d+)?)\s*([a-z]+)/i);
        var multipliers = {
            ms: 1,
            s: 1000,
            m: 60000,
            h: 3600000,
            d: 86400000
        };

        if (matches) {
            var multiplier = multipliers[matches[2].toLowerCase()];
            return parseFloat(matches[1]) * multiplier;
        } else {
            return -1;
        };
    };
</script>
<link rel="stylesheet" href="css/core.css"/>
<link rel="stylesheet" href="css/link.css"/>
<link type="text/css" media="screen" href="css/screen.css" rel="Stylesheet"/><!-- JQuery-UI -->
<link type="text/css" href="jqueryui/1.11.2-start/jquery-ui.min.css" rel="Stylesheet" />
<script type="text/javascript" src="jqueryui/1.11.2-start/jquery-ui.min.js"></script><!-- DataTables -->
<link type="text/css" href="datatables/1.10.20/datatables.min.css" rel="stylesheet" />
<script type="text/javascript" src="datatables/1.10.20/datatables.min.js"></script>
<script type="text/javascript" src="datatables/1.10.20/time-elapsed-dhms.js"></script>

<link href="bootstrap/css/bootstrap.min.css" rel="stylesheet">
<script src="bootstrap/js/bootstrap.min.js"></script>

<script type="text/javascript" src="datatables/1.10.20/datatables.bootstrap4.min.js"></script>
<link type="text/css" href="datatables/1.10.20/datatables.bootstrap4.min.css" rel="stylesheet" />

<script>
    jQuery.fn.dataTable.ext.type.order['time-elapsed-dhms-pre'] = function(data) {

        var matches = data.match(/^(\d+(?:\.\d+)?)\s*([a-z]+)/i);
        var multipliers = {
            ms: 1,
            s: 1000,
            m: 60000,
            h: 3600000,
            d: 86400000
        };

        if (matches) {
            var multiplier = multipliers[matches[2].toLowerCase()];
            return parseFloat(matches[1]) * multiplier;
        } else {
            return -1;
        };
    };
</script>



    <script>

        $(document).ready(function () {

            var scenarioTable = $('.scenario-result-table').DataTable({

                "order": [],
                "language": {
                    searchPlaceholder: "Filter",
                    search: ""
                }
            });

            $('.example-table table').DataTable({
                searching: false,
                ordering: false,
                paging: false,
                info: false
            });

            $('.example-table-in-scenario table').DataTable({
                searching: false,
                ordering: false,
                paging: false,
                info: false
            });

            $('#evidence-table').DataTable(
                    {
                        searching: false,
                        ordering: false,
                        paging: false,
                        info: false
                    }
            );


            $(".scenario-docs .card-body table").wrap("<div class='table-responsive'></div>");

            $("#requirements-tabs").tabs();
            $("#test-tabs").tabs();

            var requirementsTree = [{"text":"Member Libraries UI","type":"feature","href":"fa26a2f2213a199b37d9c24327a0f6333e92df9bb9d4f2fc90a4e28d127ba3f8.html","nodes":[],"selectable":false,"tags":["","\u003cspan class\u003d\u0027feature-count\u0027\u003e4 scenarios\u003c/span\u003e"]}];

            $('#tree').treeview({
                data: requirementsTree,
                enableLinks: true,
                showTags: true,
                expandIcon: "glyphicon glyphicon-folder-close",
                collapseIcon: "glyphicon glyphicon-folder-open",
                emptyIcon: "glyphicon glyphicon-book"
            });

        });
    </script>

    <script>
        $(document).ready(function () {
            $(".scenario-docs > div > p").html(function () {
                var text = $(this).text().trim().split(" ");
                var first = text.shift();
                return (text.length > 0 ? "<strong>" + first + "</strong> " : first) + text.join(" ");
            });
        });
    </script>
</head>

<body class="results-page">
<div id="topheader">
    <div id="topbanner">
        <div id="logo"><a href="index.html"><img src="images/serenity-logo.png" border="0"/></a></div>
        <div id="projectname-banner" style="float:right">
            <span class="projectname">
                <span class="projecttitle">earthnew.media BDD Report</span>
                <span class="projectsubtitle"></span>
            </span>
        </div>
    </div>
</div>


<div class="middlecontent">
    <div id="contenttop">
        <div class="middlebg">
            <span class="breadcrumbs">
            <a href='index.html'>Home</a> > <a href="capabilities.html">Requirements</a>

                > <a href="a7f144b9708b9d683d8041b0fc85599187adbecdb7df601c22804e208140e4c8.html">Member Libraries UI</a>


                > <span class="truncate-40">Member Libraries UI</span>

            </span>
        </div>
        <div class="rightbg"></div>
    </div>
    <div class="clr"></div>

    <!--/* starts second table*/-->

<div>
    <ul class="nav nav-tabs" role="tablist">
        <li >
            <a href="index.html"><i class="fa fa-check-square-o"></i> Overall Test Results</a>
        </li>
        <li >
            <a href="capabilities.html"><i class="fa fa-book"></i> Requirements</a>
        </li>
        <li >
            <a href="7ea0a5e2d679b9deeda9910ae4a9bcd3a281e0d908303a9e16e486103e98880c.html"><i class="fa fa-comments-o"></i> Capabilities</a>
        </li>
        <li class="active">
            <a href="#"><i class="fa fa-comments-o"></i> Features</a>
        </li>
    </ul>
    <span class="date-and-time"><a href="build-info.html"><i class="fa fa-info-circle"></i></a> Report generated 07-04-2020 08:27</span>
    <br style="clear:left"/>
</div>

    <div class="clr"></div>

    <div id="beforetable"></div>
    <div id="results-dashboard">
        <div class="table">
                <div class=row">
                    <div class="col-sm-12">
                        <div>
                            <div clas="table">
                                <div class="row">
                                    <div class="col-sm-8">
                                    <span>
                                            <h2><i class="fa fa-book"></i> Feature:  Member Libraries UI</h2>
                                        </span>
                                </div>
                                    <div class="col-sm-4">
                                        <span class="feature-tags">
                                                <p class="tag">
                                                    <span class="badge tag-badge" style="background:default;">
                                                        <i class="fa fa-tag"></i>&nbsp;<a class="tagLink"
                                                                                          style="background:default;"
                                                                                          href="c30b64f74ea27dc2ed884263a057cc4edf524f18d80852b677a1f12d8c602260.html">Library
                                                        (tag)</a>
                                                    </span>
                                                </p>
                                                <p class="tag">
                                                    <span class="badge tag-badge" style="background:default;">
                                                        <i class="fa fa-tag"></i>&nbsp;<a class="tagLink"
                                                                                          style="background:default;"
                                                                                          href="17577daaad2fd309e0837b76421d7c81a554f65af8961466d1a2c3c19c8c6e49.html">Ui
                                                        (tag)</a>
                                                    </span>
                                                </p>
                                                <p class="tag">
                                                    <span class="badge tag-badge" style="background:default;">
                                                        <i class="fa fa-tag"></i>&nbsp;<a class="tagLink"
                                                                                          style="background:default;"
                                                                                          href="73b19892d3a17aec91c0c31498590d5a95e9646c973896c93268414041a4e4bd.html">P1-Co1-1
                                                        (phase)</a>
                                                    </span>
                                                </p>
                                        </span>
                                    </div>
                                </div>
                                </div>
                            </div>
                            <div class="requirementNarrativeTitle">
                                
                            </div>

                        </div>
                    </div>


            <div class="row">
                <div class="col-sm-12">

                    <!-- Requirements result tabs -->
                    <ul class="nav nav-tabs">
                        <li class="active">
                            <a data-toggle="tab" href="#specs"><i class="fas fa-comments"></i> Specifications</a>
                        </li>
                        <li>
                            <a data-toggle="tab" href="#results"><i class="fas fa-tachometer-alt"></i> Test Results</a>
                        </li>
                    </ul>

                    <!-- Specifications and Results tabs -->
                    <div class="card border">
                        <div class="tab-content" id="pills-tabContent">
                            <div id="specs" class="tab-pane fade in active">
                                <div class="container-fluid">
                                    <div class="row">
                                        <div class="col-sm-12">


                                            <h3>Scenarios</h3>

                                            <div id="toc">
                                                <table class="table" id="toc-table">
                                                        <tr>
                                                            <td style="width:95%;" class="toc-title">
                                                                <a href="#e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855" title="View scenario details" ></a>


                                                            </td>
                                                            <td style="width:5%;">
                                                                <table>
                                                                    <tr>
                                                                        <td>
                                                                            
                                                                            

                                                                        
                                                                        </td>
                                                                    </tr>
                                                                </table>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td style="width:95%;" class="toc-title">
                                                                <a href="#dcf5ef58f52b071a638bb29b50b54d9c19dad6953cc170cef0ca4bf59b5066c7" title="View scenario details" >Create new library</a>


                                                            </td>
                                                            <td style="width:5%;">
                                                                <table>
                                                                    <tr>
                                                                        <td>
                                                                            <a style="margin-left:0.5em;padding-right: 1.5em;"
                                                                               href="c5101667d810ef0a90dd2319e87f6957d025207bddd6882ff91118af052983f9.html"
                                                                               title="View test results">
                                                                            <a href='##beforetable'><i class='fa fa-check-circle-o success-icon ' title='SUCCESS'></i></a>
                                                                            </a>

                                                                        
                                                                        </td>
                                                                        <td>
                                                                            <a style="margin-left:0.5em;padding-right: 1.5em;"
                                                                               href="c5101667d810ef0a90dd2319e87f6957d025207bddd6882ff91118af052983f9.html"
                                                                               title="View test results">
                                                                                <i class="fas fa-search-plus"></i>
                                                                            </a>
                                                                        </td>
                                                                    </tr>
                                                                </table>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td style="width:95%;" class="toc-title">
                                                                <a href="#88c22cfbba02981d39c691ad826351ef55a0ff9d2b517fd4d8d6db54f4c8d664" title="View scenario details" >Navigate to library page</a>


                                                            </td>
                                                            <td style="width:5%;">
                                                                <table>
                                                                    <tr>
                                                                        <td>
                                                                            <a style="margin-left:0.5em;padding-right: 1.5em;"
                                                                               href="b38e0dd714523624b5dd762121a01111d9ba60bd54ce0a28b25e4c91f6b7c356.html"
                                                                               title="View test results">
                                                                            <a href='##beforetable'><i class='fa fa-check-circle-o success-icon ' title='SUCCESS'></i></a>
                                                                            </a>

                                                                        
                                                                        </td>
                                                                        <td>
                                                                            <a style="margin-left:0.5em;padding-right: 1.5em;"
                                                                               href="b38e0dd714523624b5dd762121a01111d9ba60bd54ce0a28b25e4c91f6b7c356.html"
                                                                               title="View test results">
                                                                                <i class="fas fa-search-plus"></i>
                                                                            </a>
                                                                        </td>
                                                                    </tr>
                                                                </table>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td style="width:95%;" class="toc-title">
                                                                <a href="#3dab16468e6adffea3c12e5801d8e8a53ec47c1b7c275a78f27f7cffa5b1e8a9" title="View scenario details" >Delete library</a>


                                                            </td>
                                                            <td style="width:5%;">
                                                                <table>
                                                                    <tr>
                                                                        <td>
                                                                            <a style="margin-left:0.5em;padding-right: 1.5em;"
                                                                               href="cd9c8de62edba18c751a7efbb903f5f010c61f061cd5063f3129b41e72aab46c.html"
                                                                               title="View test results">
                                                                            <a href='##beforetable'><i class='fa fa-check-circle-o success-icon ' title='SUCCESS'></i></a>
                                                                            </a>

                                                                        
                                                                        </td>
                                                                        <td>
                                                                            <a style="margin-left:0.5em;padding-right: 1.5em;"
                                                                               href="cd9c8de62edba18c751a7efbb903f5f010c61f061cd5063f3129b41e72aab46c.html"
                                                                               title="View test results">
                                                                                <i class="fas fa-search-plus"></i>
                                                                            </a>
                                                                        </td>
                                                                    </tr>
                                                                </table>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td style="width:95%;" class="toc-title">
                                                                <a href="#79bd4186278dbac25388322e358f87b6b729d1ae5350ee96176e1a98712fb153" title="View scenario details" >Edit library access</a>


                                                            </td>
                                                            <td style="width:5%;">
                                                                <table>
                                                                    <tr>
                                                                        <td>
                                                                            <a style="margin-left:0.5em;padding-right: 1.5em;"
                                                                               href="1db78af1c49fb95ac4c40ca6933796e5f5b43b6b734db4353312a28aa76115b9.html"
                                                                               title="View test results">
                                                                            <a href='##beforetable'><i class='fa fa-check-circle-o success-icon ' title='SUCCESS'></i></a>
                                                                            </a>

                                                                        
                                                                        </td>
                                                                        <td>
                                                                            <a style="margin-left:0.5em;padding-right: 1.5em;"
                                                                               href="1db78af1c49fb95ac4c40ca6933796e5f5b43b6b734db4353312a28aa76115b9.html"
                                                                               title="View test results">
                                                                                <i class="fas fa-search-plus"></i>
                                                                            </a>
                                                                        </td>
                                                                    </tr>
                                                                </table>
                                                            </td>
                                                        </tr>
                                                </table>

                                            </div>

                                            <h3>Scenario details</h3>

                                                <div class="scenario-docs card" id="e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855">
                                                    <div class="scenario-docs card-header undefined" style="min-height:1.5em;">
                                                        <div>
                                                            <span class="scenario-heading">
                                                                <a href="" title="View test results">Background</a>
                                                            </span>
                                                            <span class="scenario-result-icon">
                                                                

                                                                    <i class="fas fa-pause"
                                                                       title="No test has been implemented yet"></i>
                                                            </span>
                                                        </div>
                                                    </div>
                                                    <div class="scenario-docs card-body">
                                                            <p>Given that an admin was able to initialize the system under test</p>
                                                            <p><p>And that &quot;Jane&quot; is a Member with the account data</p>
<table>
<thead>
<tr><th>slug</th><th>janedoe</th></tr>
</thead>
<tbody>
<tr><td>email</td><td>jane@example.com</td></tr>
<tr><td>userName</td><td>JaneDoe</td></tr>
<tr><td>password</td><td>password3</td></tr>
</tbody>
</table>
</p>
                                                            <p>And that she was able to start with the landing page</p>
                                                            <p>And she was able to login with valid credentials</p>
                                                        <div class="examples">
                                                        </div>
                                                    </div>
                                                </div>

                                                <div class="scenario-docs card" id="dcf5ef58f52b071a638bb29b50b54d9c19dad6953cc170cef0ca4bf59b5066c7">
                                                    <div class="scenario-docs card-header success" style="min-height:1.5em;">
                                                        <div>
                                                            <span class="scenario-heading">
                                                                <a href="c5101667d810ef0a90dd2319e87f6957d025207bddd6882ff91118af052983f9.html" title="View test results">Create new library</a>
                                                            </span>
                                                            <span class="scenario-result-icon">
                                                                

                                                                    <a href='##beforetable'><i class='fa fa-check-circle-o success-icon ' title='SUCCESS'></i></a>
                                                            </span>
                                                        </div>
                                                    </div>
                                                    <div class="scenario-docs card-body">
                                                            <p><p>When she attempts to create a new library with</p>
<table>
<thead>
<tr><th>access</th><th>Public</th></tr>
</thead>
<tbody>
<tr><td>libraryType</td><td>Discussion</td></tr>
<tr><td>name</td><td>My Discussions</td></tr>
<tr><td>description</td><td>Discussions</td></tr>
</tbody>
</table>
</p>
                                                            <p>Then she should see that they are on the &quot;janedoe/my-discussions&quot; library page</p>
                                                            <p>And she should see that the library access is &quot;Public&quot;</p>
                                                            <p>And she should see that the library type is &quot;Discussion&quot;</p>
                                                            <p>And she should see that the library name is &quot;My Discussions&quot;</p>
                                                            <p>And she should see that the library description is &quot;Discussions&quot;</p>
                                                            <p>And she should see that the library was created &quot;Today&quot;</p>
                                                            <p>And she should see that the delete library button is available</p>
                                                        <div class="examples">
                                                        </div>
                                                    </div>
                                                </div>

                                                <div class="scenario-docs card" id="88c22cfbba02981d39c691ad826351ef55a0ff9d2b517fd4d8d6db54f4c8d664">
                                                    <div class="scenario-docs card-header success" style="min-height:1.5em;">
                                                        <div>
                                                            <span class="scenario-heading">
                                                                <a href="b38e0dd714523624b5dd762121a01111d9ba60bd54ce0a28b25e4c91f6b7c356.html" title="View test results">Navigate to library page</a>
                                                            </span>
                                                            <span class="scenario-result-icon">
                                                                

                                                                    <a href='##beforetable'><i class='fa fa-check-circle-o success-icon ' title='SUCCESS'></i></a>
                                                            </span>
                                                        </div>
                                                    </div>
                                                    <div class="scenario-docs card-body">
                                                            <p><p>Given she was able to create a new library with</p>
<table>
<thead>
<tr><th>access</th><th>Private</th></tr>
</thead>
<tbody>
<tr><td>libraryType</td><td>Album</td></tr>
<tr><td>name</td><td>My Album</td></tr>
<tr><td>description</td><td>Description</td></tr>
</tbody>
</table>
</p>
                                                            <p>And she is on the member home page</p>
                                                            <p>When she attempts to navigate to the &quot;janedoe/my-album&quot; library page</p>
                                                            <p>Then she should see that they are on the &quot;janedoe/my-album&quot; library page</p>
                                                            <p>And she should see that the library access is &quot;Private&quot;</p>
                                                            <p>And she should see that the library type is &quot;Album&quot;</p>
                                                            <p>And she should see that the library name is &quot;My Album&quot;</p>
                                                            <p>And she should see that the library was created &quot;Today&quot;</p>
                                                            <p>And she should see that the library was last modified &quot;Today&quot;</p>
                                                        <div class="examples">
                                                        </div>
                                                    </div>
                                                </div>

                                                <div class="scenario-docs card" id="3dab16468e6adffea3c12e5801d8e8a53ec47c1b7c275a78f27f7cffa5b1e8a9">
                                                    <div class="scenario-docs card-header success" style="min-height:1.5em;">
                                                        <div>
                                                            <span class="scenario-heading">
                                                                <a href="cd9c8de62edba18c751a7efbb903f5f010c61f061cd5063f3129b41e72aab46c.html" title="View test results">Delete library</a>
                                                            </span>
                                                            <span class="scenario-result-icon">
                                                                

                                                                    <a href='##beforetable'><i class='fa fa-check-circle-o success-icon ' title='SUCCESS'></i></a>
                                                            </span>
                                                        </div>
                                                    </div>
                                                    <div class="scenario-docs card-body">
                                                            <p><p>Given she was able to create a new library with</p>
<table>
<thead>
<tr><th>access</th><th>Private</th></tr>
</thead>
<tbody>
<tr><td>libraryType</td><td>Album</td></tr>
<tr><td>name</td><td>My Album</td></tr>
<tr><td>description</td><td>Description</td></tr>
</tbody>
</table>
</p>
                                                            <p>When she attempts to delete the library</p>
                                                            <p>Then she should see that they are on thier own member home page</p>
                                                            <p>And she should see that the member library list is empty</p>
                                                        <div class="examples">
                                                        </div>
                                                    </div>
                                                </div>

                                                <div class="scenario-docs card" id="79bd4186278dbac25388322e358f87b6b729d1ae5350ee96176e1a98712fb153">
                                                    <div class="scenario-docs card-header success" style="min-height:1.5em;">
                                                        <div>
                                                            <span class="scenario-heading">
                                                                <a href="1db78af1c49fb95ac4c40ca6933796e5f5b43b6b734db4353312a28aa76115b9.html" title="View test results">Edit library access</a>
                                                            </span>
                                                            <span class="scenario-result-icon">
                                                                

                                                                    <a href='##beforetable'><i class='fa fa-check-circle-o success-icon ' title='SUCCESS'></i></a>
                                                            </span>
                                                        </div>
                                                    </div>
                                                    <div class="scenario-docs card-body">
                                                            <p><p>Given she was able to create a new library with</p>
<table>
<thead>
<tr><th>access</th><th>Private</th></tr>
</thead>
<tbody>
<tr><td>libraryType</td><td>Album</td></tr>
<tr><td>name</td><td>My Album</td></tr>
<tr><td>description</td><td>Description</td></tr>
</tbody>
</table>
</p>
                                                            <p>Then she should see that the library access is &quot;Private&quot;</p>
                                                            <p>When she attempts to change the library access to &quot;Public&quot;</p>
                                                            <p>And she refreshes the page</p>
                                                            <p>Then she should see that the library access is &quot;Public&quot;</p>
                                                        <div class="examples">
                                                        </div>
                                                    </div>
                                                </div>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div id="results" class="tab-pane fade">
                                <div class="container-fluid">
                                    <div class="row">
                                        <div class="col-sm-4">

                                            <div style="width:300px;" class="chart-container automated-and-manual-results">
                                                <div class="ct-chart ct-square"></div>
                                            </div>
                                            <script>

                                                var labels = ['100%', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' '];
                                                // Our series array that contains series objects or in this case series data arrays

                                                var series = [{meta: 'Passing tests (automated)', value: 4}, {meta: 'Passing tests (manual)', value: 0}, {meta: 'Pending tests (automated)', value: 0}, {meta: 'Pending tests (manual)', value: 0}, {meta: 'Ignored tests (automated)', value: 0}, {meta: 'Ignored tests (manual)', value: 0}, {meta: 'Skipped tests (automated)', value: 0}, {meta: 'Skipped tests (manual)', value: 0}, {meta: 'Failing tests (automated)', value: 0}, {meta: 'Failing tests (manual)', value: 0}, {meta: 'Broken tests (automated)', value: 0}, {meta: 'Broken tests (manual)', value: 0}, {meta: 'Compromised tests (automated)', value: 0}, {meta: 'Compromised tests (manual)', value: 0}];

                                                // As options we currently only set a static size of 300x200 px. We can also omit this and use aspect ratio containers
                                                // as you saw in the previous example
                                                var options = {
                                                    width: 350,
                                                    height: 300
                                                };

                                                $('a[data-toggle="tab"]').on('shown.bs.tab', function (e) {
                                                    new Chartist.Pie('.ct-chart', {
                                                        series: series,
                                                        labels: labels,
                                                    }, {
                                                        donut: true,
                                                        donutWidth: 60,
                                                        donutSolid: true,
                                                        startAngle: 270,
                                                        showLabel: true
                                                    }, options);
                                                });

                                            </script>
                                        </div>
                                        <div class="col-sm-8">

                                        <table class="table">
                                            <thead>
                                            <tr>
                                                <th scope="col">Scenario Results (including rows of test data)</th>
                                                <th scope="col" colspan="2" class="automated-stats">
                                                    Automated
                                                </th>
                                            </tr>
                                            </thead>
                                            <tbody>
                                            <tr>
                                                                    <td class="aggregate-result-count">
                                                                        <a href="8f970528c42bbb3ff2fd0a7ad673a77138d9af7694a0ed8b7592ce38e9e9e034.html"><i
                                                                                class='fa fa-check-circle-o success-icon'></i>&nbsp;Passing</a>
                                                                    </td>
                                                <td class="automated-stats">4</td>
                                                <td class="automated-stats">100%</td>
                                            </tr>
                                            <tr>
                                                                    <td class="aggregate-result-count"><i
                                                                            class='fa fa-stop-circle-o pending-icon'></i>&nbsp;Pending
                                                                    </td>
                                                <td class="automated-stats">0</td>
                                                <td class="automated-stats"> </td>
                                            </tr>
                                            <tr>
                                                                <td class="aggregate-result-count"><i
                                                                        class='fa fa-ban ignored-icon'></i>&nbsp;Ignored
                                                                </td>
                                                <td class="automated-stats">0</td>
                                                <td class="automated-stats"> </td>
                                            </tr>
                                            <tr>
                                                                <td class="aggregate-result-count"><i
                                                                        class='fa fa-fast-forward skip-icon'></i>&nbsp;Skipped
                                                                </td>
                                                <td class="automated-stats">0</td>
                                                <td class="automated-stats"> </td>
                                            </tr>
                                            <tr>
                                                                            <td colspan="3"><i
                                                                                class='fa fa-times failure-icon'></i>&nbsp;<em>Unsuccessful</em></a>
                                                                            </td>

                                            </tr>

                                            <tr>
                                                                <td class="aggregate-result-count indented-error-category">
                                                                    <i
                                                                            class='fa fa-times-circle failure-icon'></i>&nbsp;Failed
                                                                </td>
                                                <td class="automated-stats">0</td>
                                                <td class="automated-stats"> </td>
                                            <tr>
                                                                <td class="aggregate-result-count indented-error-category">
                                                                    <i
                                                                            class='fa fa-exclamation-triangle error-icon'></i>&nbsp;Broken
                                                                </td>
                                                <td class="automated-stats">0</td>
                                                <td class="automated-stats"> </td>
                                            <tr>
                                                                <td class="aggregate-result-count indented-error-category">
                                                                    <i
                                                                            class='fa fa-chain-broken compromised-icon'></i>&nbsp;Compromised
                                                                </td>
                                                <td class="automated-stats">0</td>
                                                <td class="automated-stats"> </td>
                                            </tr>
                                            <tr class="summary-stats">
                                                <td class="aggregate-result-count">Total</td>
                                                <td class="automated-stats">4</td>
                                                <td class="automated-stats"></td>
                                            </tr>
                                            </tbody>
                                        </table>
                                    </div>
                                    </div>

                                        <div class="row">
                                            <div class="col-sm-12">
                                                <table class="table">
                                                    <thead>
                                                    <tr>
                                                        <th>Execution Time</th>
                                                        <th>Clock Time</th>
                                                        <th>Fastest Test</th>
                                                        <th>Slowest Test</th>
                                                        <th>Average Execution Time</th>
                                                    </tr>
                                                    </thead>
                                                    <tbody>
                                                    <tr>
                                                        <td>24s</td>
                                                        <td>19s</td>
                                                        <td>5s</td>
                                                        <td>7s</td>
                                                        <td>6s</td>
                                                    </tr>
                                                    </tbody>
                                                </table>
                                            </div>
                                        </div>


                                        <div class="row">
                                            <div class="col-sm-12">
                                                <h3><i class="fas fa-cogs"></i> Automated Tests</h3>

                                            <table class="scenario-result-table table" id="scenario-results">
                                                <thead>
                                                <tr>
                                                    <th class="test-name-column">Scenario</th>
                                                    <th>Steps</th>
                                                    <th>Start Time</th>
                                                    <th>Duration</th>
                                                    <th>Result</th>
                                                </tr>
                                                </thead>
                                                <tbody>
                                                <tr class="scenario-result SUCCESS">
                                                    <td>
                                                            <a href="c5101667d810ef0a90dd2319e87f6957d025207bddd6882ff91118af052983f9.html">Create new library</a>
                                                    </td>
                                                    <td>8</td>
                                                    <td> </td>
                                                    <td> </td>
                                                    <td>
                                                            <a href='##beforetable'><i class='fa fa-check-circle-o success-icon ' title='SUCCESS'></i></a> <span
                                                                style="display:none">SUCCESS</span>
                                                    </td>
                                                </tr>
                                                <tr class="scenario-result SUCCESS">
                                                    <td>
                                                            <a href="b38e0dd714523624b5dd762121a01111d9ba60bd54ce0a28b25e4c91f6b7c356.html">Navigate to library page</a>
                                                    </td>
                                                    <td>9</td>
                                                    <td> </td>
                                                    <td> </td>
                                                    <td>
                                                            <a href='##beforetable'><i class='fa fa-check-circle-o success-icon ' title='SUCCESS'></i></a> <span
                                                                style="display:none">SUCCESS</span>
                                                    </td>
                                                </tr>
                                                <tr class="scenario-result SUCCESS">
                                                    <td>
                                                            <a href="cd9c8de62edba18c751a7efbb903f5f010c61f061cd5063f3129b41e72aab46c.html">Delete library</a>
                                                    </td>
                                                    <td>4</td>
                                                    <td> </td>
                                                    <td> </td>
                                                    <td>
                                                            <a href='##beforetable'><i class='fa fa-check-circle-o success-icon ' title='SUCCESS'></i></a> <span
                                                                style="display:none">SUCCESS</span>
                                                    </td>
                                                </tr>
                                                <tr class="scenario-result SUCCESS">
                                                    <td>
                                                            <a href="1db78af1c49fb95ac4c40ca6933796e5f5b43b6b734db4353312a28aa76115b9.html">Edit library access</a>
                                                    </td>
                                                    <td>5</td>
                                                    <td> </td>
                                                    <td> </td>
                                                    <td>
                                                            <a href='##beforetable'><i class='fa fa-check-circle-o success-icon ' title='SUCCESS'></i></a> <span
                                                                style="display:none">SUCCESS</span>
                                                    </td>
                                                </tr>
                                                </tbody>
                                            </table>

                                            </div>
                                        </div>

                                        <div class="row">
                                            <div class="col-sm-12">
                                                <h3><i class="fas fa-edit"></i> Manual Tests</h3>

                                                No manual tests were recorded

                                            </div>
                                        </div>

                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
            <div class="container-fluid">
                <div class="row">
                    <div class="col-sm-12">
                        <span class="version">Serenity BDD version 2.1.13</span>
                    </div>
                </div>
            </div>
</body>
</html>
